Sync Groups - List Logs

Ruft eine Sammlung von Synchronisierungsgruppenprotokollen ab.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}&continuationToken={continuationToken}

URI-Parameter

Name In Erforderlich Typ Beschreibung
databaseName
path True

string

Der Name der Datenbank.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Der Name der Ressourcengruppe. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet.

serverName
path True

string

Name des Servers

subscriptionId
path True

string (uuid)

Die ID des Zielabonnements. Der Wert muss eine UUID sein.

syncGroupName
path True

string

Der Name der Synchronisierungsgruppe.

api-version
query True

string

minLength: 1

Die API-Version, die für diesen Vorgang verwendet werden soll.

endTime
query True

string

Ruft Protokolle ab, die vor dieser Zeit generiert wurden.

startTime
query True

string

Abrufen von Protokollen, die nach diesem Zeitpunkt generiert wurden.

type
query True

SyncGroupsType

Die Typen der abzurufenden Protokolle.

continuationToken
query

string

Das Fortsetzungstoken für diesen Vorgang.

Antworten

Name Typ Beschreibung
200 OK

SyncGroupLogListResult

Azure-Operation erfolgreich abgeschlossen.

Other Status Codes

ErrorResponse

Unerwartete Fehlerantwort.

Sicherheit

azure_auth

Azure Active Directory OAuth2 Flow.

Typ: oauth2
Ablauf: implicit
Autorisierungs-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiche

Name Beschreibung
user_impersonation Identitätswechsel ihres Benutzerkontos

Beispiele

Get sync group logs

Beispielanforderung

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/logs?api-version=2025-01-01&startTime=2017-01-01T00:00:00&endTime=2017-12-31T00:00:00&type=All

Beispiel für eine Antwort

{
  "value": [
    {
      "type": "Success",
      "operationStatus": "SchemaRefreshSuccess",
      "source": "syncgroupcrud-8475.database.windows.net/hub",
      "timestamp": "2017-05-30T07:16:08.25Z",
      "tracingId": "c0480c8e-6269-424e-9404-b00efce0ebae",
      "details": "Schema information obtained successfully."
    },
    {
      "type": "Error",
      "operationStatus": "SchemaRefreshFailure",
      "source": "syncgroupcrud-8475.database.windows.net/member",
      "timestamp": "2017-05-30T07:03:37.5733333Z",
      "tracingId": "cd3aa28c-0c31-471f-8a77-f1b21c908cbd",
      "details": "Getting schema information for the database failed with the exception \"Failed to connect to server .\nInner exception: SqlException Error Code: -2146232060 - SqlError Number:53, Message: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. (provider: Named Pipes Provider, error: 40 - Could not open a connection to SQL Server) \nInner exception: The network path was not found\n For more information, provide tracing ID ‘cd3aa28c-0c31-471f-8a77-f1b21c908cbd’ to customer support.\""
    }
  ]
}

Definitionen

Name Beschreibung
ErrorAdditionalInfo

Der Ressourcenverwaltungsfehler zusätzliche Informationen.

ErrorDetail

Das Fehlerdetails.

ErrorResponse

Fehlerantwort

SyncGroupLogListResult

Eine Liste der Eigenschaften des Synchronisierungsgruppenprotokolls.

SyncGroupLogProperties

Eigenschaften eines Azure SQL-Datenbank Sync Group Logs.

SyncGroupLogType

Typ des Synchronisierungsgruppenprotokolls.

SyncGroupsType

ErrorAdditionalInfo

Der Ressourcenverwaltungsfehler zusätzliche Informationen.

Name Typ Beschreibung
info

object

Die zusätzlichen Informationen.

type

string

Der zusätzliche Informationstyp.

ErrorDetail

Das Fehlerdetails.

Name Typ Beschreibung
additionalInfo

ErrorAdditionalInfo[]

Die zusätzlichen Informationen des Fehlers.

code

string

Der Fehlercode.

details

ErrorDetail[]

Die Fehlerdetails.

message

string

Die Fehlermeldung.

target

string

Das Fehlerziel.

ErrorResponse

Fehlerantwort

Name Typ Beschreibung
error

ErrorDetail

Das Fehlerobjekt.

SyncGroupLogListResult

Eine Liste der Eigenschaften des Synchronisierungsgruppenprotokolls.

Name Typ Beschreibung
nextLink

string (uri)

Der Link zur nächsten Seite der Elemente

value

SyncGroupLogProperties[]

Die SyncGroupLogProperties-Elemente auf dieser Seite

SyncGroupLogProperties

Eigenschaften eines Azure SQL-Datenbank Sync Group Logs.

Name Typ Beschreibung
details

string

Details des Synchronisierungsgruppenprotokolls.

operationStatus

string

OperationStatus des Synchronisierungsgruppenprotokolls.

source

string

Quelle des Synchronisierungsgruppenprotokolls.

timestamp

string (date-time)

Zeitstempel des Synchronisierungsgruppenprotokolls.

tracingId

string (uuid)

TracingId des Synchronisierungsgruppenprotokolls.

type

SyncGroupLogType

Typ des Synchronisierungsgruppenprotokolls.

SyncGroupLogType

Typ des Synchronisierungsgruppenprotokolls.

Wert Beschreibung
All

All

Error

Fehler

Warning

Warnung

Success

Success

SyncGroupsType

Wert Beschreibung
All

All

Error

Fehler

Warning

Warnung

Success

Success